if !exists("g:vs_jump_to_error")
    let g:vs_jump_to_error = 1
endif

function! vs#cmd#Build(bang,...)
    echon "vim-vs: " | echohl Identifier | echon "building..." | echohl None
    silent! exe 'make! '. a:bang
    redraw!
    if !a:bang
        cwindow
        let errors = getqflist()
        if !empty(errors)
            if g:vs_jump_to_error
                cc 1
            endif
        else
            redraws! | echon "vim-vs: " | echohl Function | echon "[build] SUCCESS" | echohl None
        endif
    endif
endfunction
